Company logoTrust Center Documentation
API v1 ReferenceVariantsIdOptionsOptionid

Update a variant option

Partially update an option belonging to the given variant. Provide `translations` to diff localized titles (omit to leave unchanged, send `[]` to delete all).

PATCH
/api/v1/variants/{id}/options/{optionId}

Partially update an option belonging to the given variant. Provide translations to diff localized titles (omit to leave unchanged, send [] to delete all).

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
optionId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/variants/var-123/options/opt-1" \  -H "Content-Type: application/json" \  -d '{    "title": "Financial Services",    "translations": [      {        "languages_code": "en-US",        "title": "Financial Services"      }    ]  }'
{  "success": true,  "data": {    "option": {      "id": "string",      "title": "string",      "slug": "string",      "enabled": true,      "order": 0,      "translations": [        {          "id": "string",          "languages_code": "en-US",          "title": "string"        }      ]    }  }}

How is this guide?